Bug 510576 - still requires usermode for gnome-about-me
still requires usermode for gnome-about-me
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-07-09 15:59 EDT by Bill Nottingham
Modified: 2014-03-16 23:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-24 10:46:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch (3.55 KB, patch)
2009-07-23 19:42 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2009-07-09 15:59:05 EDT
Description of problem:

Why again are we patching out the upstream password changer? The usermode one looks pretty lame in comparison.

Version-Release number of selected component (if applicable):

F-11 GA.
Comment 1 Bill Nottingham 2009-07-09 16:00:53 EDT
Also, switching back appears to fix both bug 484786 and bug 235484.
Comment 2 Matthias Clasen 2009-07-23 19:41:40 EDT
Working on it. Unfortunately, the upstream code does not work so hot, either. It scrapes the output or /usr/bin/passwd, but it can't understand half of what our passwd has to say. Plus, for some reason that I haven't been able to figure out yet, out passwd runs into SIGPIPE instead of exiting regularly.

The attached patch has a workaround for that.
Comment 3 Matthias Clasen 2009-07-23 19:42:34 EDT
Created attachment 354939 [details]
Comment 4 Ray Strode [halfline] 2009-07-24 10:46:11 EDT
So, looking at the upstream code it's not really suitable to use:

1) Screenscraping /usr/bin/passwd is fundamentally broken.  It will always fail in some cases, because different users have different pam modules, different users have different translations, and the existing pam module strings get updated once in a while.

2) The code races with itself in various places (handles sigchld before reading all of stdin, etc)

3) The code calls SIGKILL on passwd.

We could fix 2 and 3, but 1 is going to be a continual ongoing problem.

We could make gnome-about-me use libpam or libuser, but we're eventually going to drop about me anyway, so probably not worth the time investment.

Note You need to log in before you can comment on or make changes to this bug.